LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 06-26-2003, 11:15 PM   #1
PhilD
Member
 
Registered: Mar 2003
Location: Iowa, US
Distribution: Gentoo!!, Mandrake 9.1
Posts: 170

Rep: Reputation: 30
Unhappy gDeskCal with MDK9.1 - help


Hello everyone. I am hoping to find some help with gDeskCal on my Mandrake 9.1 system. First, is anyone using this program on a Mandy system?? That would at least tell me it is possible. Below are cut and pastes of two mails I sent to the author. They should give a good understanding of my problems

---------------email 1------------------
Below is the error I get:

Traceback (most recent call last):
File "./gdeskcal", line 4, in ?
import pygtk; pygtk.require("2.0")
File "/usr/lib/python2.2/site-packages/pygtk.py", line 48, in require
assert versions.has_key(version), \
AssertionError: required version '2.0' not found on system

I did some checking and although MDK9.1 uses gnome2 and gtk2.2 it does not ship with the pygtk bindings for gtk2.x. I went and downloaded pygtk-1.99.10, compiled and installed but it had no effect. What "version '2.0'" is it looking for?
--------------------------------
---------------email 2------------------
Well, still no luck. I installed the pygtk-1.99.16 and got the same error from gDeskCal. I tried the RH rpms with no luck. After getting throught the signature errors it gave me a dependency error. It stated it needed GTK2 (2.0.0) and Python2 (2.2). I know I have python 2.2.2 installed, and GTK 1.2 and 2.2. Granted MDK has a special GTK package. I run both GTK 1.x and 2.x programs and libgtk1.2 and libgtk2.2 are both installed.
--------------------------------

I am wondering if this has anything to do with mandrakes "specific" gtk+ installation. I am not exactly sure what their RPM description means by that. Well, I will leave it at that for now. Please give some advice if you have any and if you are using this prog on MDK9.1 please please let me know.

Thanks!!!!

PhilD
 
Old 07-07-2003, 12:49 PM   #2
PhilD
Member
 
Registered: Mar 2003
Location: Iowa, US
Distribution: Gentoo!!, Mandrake 9.1
Posts: 170

Original Poster
Rep: Reputation: 30
Solved, Mandrake had some more RPMs tucked away in its collection. I don't remember the name right off had, but they were gtk2 bindings for python.

PhilD
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
replacement for gdeskcal? dhuberma Linux - Software 0 12-02-2005 02:27 PM
wusb11 mdk9.2 Patbuzz86 Linux - Wireless Networking 2 04-03-2004 06:15 PM
Starting gdeskcal automatically with GNOME orinjus Linux - Software 1 10-12-2003 01:18 AM
LAN mdk9.1 and mdk9.0 linuxfond Linux - Networking 1 05-09-2003 02:49 PM
Webmail for MDK9 what should I use? shizzilla Linux - Software 1 05-07-2003 11:46 PM


All times are GMT -5. The time now is 11:53 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration